Skip to main content
Resource Center/Hardware/SAN Storage Operations/NVMe Storage Operations
GETNVMe Storage OperationsSince 4.6.21SynchronousAuth Required

QueryNvmeLun

QueryNvmeLun

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • nvmeTargetUuidStringRequired

      The NVMe device UUID.

    • nameStringRequired

      The resource name.

    • uuidStringRequired

      The resource uuid.

    • wwidStringRequired

      The unique tag of the resource.

    • vendorStringRequired

      The vendor供应商

    • modelStringRequired

      The model

    • wwnStringRequired

      No description provided.

    • serialStringRequired

      The serial.

    • typeStringRequired

      The type.

    • hctlStringRequired

      No description provided.

    • pathStringRequired

      The path.

    • stateStringRequired

      The state.

    • sizeLongRequired

      The size.

    • multipathDeviceUuidStringRequired

      The UUID of the multi-path device.

    • sourceStringRequired

      The disk source, NVME.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • nvmeLunHostRefsListRequired

      See nvmeLunHostRefs.

      • nvmeLunUuidListRequired

        The UUID of the NVMe disk.

      • hostUuidStringRequired

        The host UUID.

      • pathStringRequired

        The disk path.

      • hctlStringRequired

        The disk HCTL.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

Endpoint

GET/zstack/v1/storage-devices/nvme/luns

/zstack/v1/storage-devices/nvme/luns

Operation ID

QueryNvmeLun

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/storage-devices/nvme/luns' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "nvmeTargetUuid": "f04819a9445c3d068c075e753d48fc3c", "nvmeLunHostRefs": [], "name": "nvme-lun-36b083fe000daf018000022905ba35d8f", "uuid": "138c10cda11c3b8e9c7d988350d5cf64", "wwid": "uuid.48daeab7-7f15-405e-8481-7152cb9b0aca", "wwn": "uuid.48daeab7-7f15-405e-8481-7152cb9b0aca", "serial": "3d87eca1686c1782", "type": "disk", "path": "nvme-uuid.48daeab7-7f15-405e-8481-7152cb9b0aca ", "size": 5497558138880 } ] }

Change History

This API has no change history records yet.

View all change history